%define pkgver %(echo %version | tr . -)
Name:          latex2html
Version:       2012
Release:       1mamba
Summary:       LATEX2HTML converts LATEX documents to HTML
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.latex2html.org
Source:        http://mirrors.ctan.org/support/latex2html/latex2html-%{version}.tgz
License:       GPL
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: netpbm
BuildRequires: tetex
BuildRequires: tetex-dvips
BuildRequires: ghostscript
Requires:      netpbm

%description
LATEX2HTML is a convertor written in Perl that converts LATEX documents to HTML.
This way e.g. scientific papers - primarily typeset for printing - can be put on the Web for online viewing. 

LATEX2HTML does also a good job in rapid web site deployment.

It is designed to run on UNIX-like systems (e.g. Linux, Solaris, IRIX, Dec Unix, HP-UX, AIX) as well as Windows (95, 98, NT) systems. 

%prep
%setup -q

# Win32.pm just need for Windows installations
rm -f L2hos/Win32.pm

%build
PERL=%{_bindir}/perl \
./configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir}/%{name} \
   --shlibdir=%{_libdir}/%{name} \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

## install LaTeX2HTML style files in TeX directory tree
#install -d %{buildroot}%{_datadir}/texmf-dist/tex/latex/html
#cp texinputs/* %{buildroot}%{_datadir}/texmf-dist/tex/latex/html/

# dirty hack
sed -i "s,%{_bindir}/perl[0-9\.]*,%{_bindir}/perl," %{buildroot}%{_bindir}/*

%clean
#[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/pstoimg
%{_bindir}/texexpand
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*
%dir %{_datadir}/texmf-dist/tex/latex/html/
%{_datadir}/texmf-dist/tex/latex/html/*
%doc LICENSE
# BUGS Changes FAQ README

%changelog
* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2012-1mamba
- update to 2012

* Tue Aug 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2008-2mamba
- migrated from %{_datadir}/texmf to %{_datadir}/texmf-dist

* Fri Mar 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2008-1mamba
- update to 2008

* Fri Dec 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2002.2.1-1mamba
- update to 2002.2.1

* Sat Jun 21 2008 Tiziana Ferro <tiziana.ferro@email.it> 2002-5mamba
- update Vendor, Distribution, Packager

* Wed Apr 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2002-3qilnx
- do not require perl-<version>

* Mon Feb 27 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2002-2qilnx
- specfile fixed and updated
- architecture changed to noarch

* Thu May 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2002-1qilnx
- first build
